Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
[Groovy] Class ConstraintEvalUtils

    java.lang.Object
      org.codehaus.groovy.grails.validation.ConstraintEvalUtils

    class ConstraintEvalUtils
    extends java.lang.Object

Utility methods for configuring constraints

Authors:
  Graeme Rocher

Since:
  2.0

Method Summary
`static void` | `clearDefaultConstraints()`
`static java.util.Map` | `getDefaultConstraints(groovy.util.ConfigObject config)` Looks up the default configured constraints from the given configuration

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### clearDefaultConstraints

    static void clearDefaultConstraints()

### getDefaultConstraints

    static java.util.Map getDefaultConstraints(groovy.util.ConfigObject config)

  Looks up the default configured constraints from the given configuration

Groovy Documentation